[arch-commits] Commit in hplip/repos (12 files)

Andreas Radke andyrtr at archlinux.org
Mon Feb 16 18:20:11 UTC 2015


    Date: Monday, February 16, 2015 @ 19:20:11
  Author: andyrtr
Revision: 231615

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  hplip/repos/extra-i686/PKGBUILD
    (from rev 231614, hplip/trunk/PKGBUILD)
  hplip/repos/extra-i686/disable_upgrade.patch
    (from rev 231614, hplip/trunk/disable_upgrade.patch)
  hplip/repos/extra-i686/hplip.install
    (from rev 231614, hplip/trunk/hplip.install)
  hplip/repos/extra-x86_64/PKGBUILD
    (from rev 231614, hplip/trunk/PKGBUILD)
  hplip/repos/extra-x86_64/disable_upgrade.patch
    (from rev 231614, hplip/trunk/disable_upgrade.patch)
  hplip/repos/extra-x86_64/hplip.install
    (from rev 231614, hplip/trunk/hplip.install)
Deleted:
  hplip/repos/extra-i686/PKGBUILD
  hplip/repos/extra-i686/disable_upgrade.patch
  hplip/repos/extra-i686/hplip.install
  hplip/repos/extra-x86_64/PKGBUILD
  hplip/repos/extra-x86_64/disable_upgrade.patch
  hplip/repos/extra-x86_64/hplip.install

------------------------------------+
 /PKGBUILD                          |  168 +++++++++++++++++++++++++++++++++++
 /disable_upgrade.patch             |   28 +++++
 /hplip.install                     |   36 +++++++
 extra-i686/PKGBUILD                |   97 --------------------
 extra-i686/disable_upgrade.patch   |   14 --
 extra-i686/hplip.install           |   18 ---
 extra-x86_64/PKGBUILD              |   97 --------------------
 extra-x86_64/disable_upgrade.patch |   14 --
 extra-x86_64/hplip.install         |   18 ---
 9 files changed, 232 insertions(+), 258 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2015-02-16 18:19:39 UTC (rev 231614)
+++ extra-i686/PKGBUILD	2015-02-16 18:20:11 UTC (rev 231615)
@@ -1,97 +0,0 @@
-# $Id$
-# Maintainer: Andreas Radke <andyrtr at archlinux.org>
-# Maintainer: Tom Gundersen <teg at jklm.no>
-# Contributor : Rémy Oudompheng <remy at archlinux.org>
-# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
-
-pkgname=hplip
-pkgver=3.15.2
-pkgrel=2
-pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
-arch=('i686' 'x86_64')
-url="http://hplipopensource.com"
-license=('GPL')
-depends=('python' 'ghostscript>=8.64-6' 'net-snmp>=5.7.1' 'wget' 'foomatic-db-engine')
-makedepends=('python-pyqt4' 'python-gobject2' 'sane' 'rpcbind' 'cups' 'libusb')
-optdepends=('cups: for printing support'
-            'python-dbus: for dbus support'
-            'sane: for scanner support'
-            'python-pillow: for commandline scanning support'
-            #'python2-notify: for Desktop notification support'
-            'python-reportlab: for pdf output in hp-scan'
-            'rpcbind: for network support'
-            'python-pyqt4: for running GUI and hp-toolbox'
-            'python-gobject2: for running hp-toolbox'
-            'hplip-plugin: binary blobs for specific devices (AUR) or run hp-setup to download the plugin'
-            'libusb: for advanced usb support')
-install=hplip.install
-source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
-        disable_upgrade.patch)
-sha1sums=('efebad73f29ab9f77d5a866c1c5d3857cc5f1df5'
-          'SKIP'
-          '2348bcbca0c52dc09cceb47ed13281a4ccb9d83e')
-validpgpkeys=('4ABA2F66DBD5A95894910E0673D770CDA59047B9') # HPLIP (HP Linux Imaging and Printing) <hplip at hp.com>
-
-prepare() {
- cd $pkgname-$pkgver
- 
-# export PYTHON=python2
- 
-# find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
-# sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' doctor.py setup.py makeuri.py logcapture.py base/magic.py
-# sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' ui/upgradeform.py uninstall.py upgrade.py config_usb_printer.py
-# sed -i 's|python ./print.py|python2 ./print.py|' scan.py
-# sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
-# sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
-# sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
-# sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
-# sed -i 's|/usr/bin/python|/usr/bin/python2|' data/rules/hplip-printer at .service
- 
- # disable insecure update - https://bugs.archlinux.org/task/38083
- patch -Np0 -i ${srcdir}/disable_upgrade.patch
- 
- # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
- # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
- # The hpcups driver does not use foomatic-rip
-	local i
-	for i in ppd/hpijs/*.ppd.gz ; do
-		rm -f ${i}.temp
-		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
-			gzip > ${i}.temp || return 1
-		mv ${i}.temp ${i}
-	done
-   
- export AUTOMAKE='automake --foreign'
- autoreconf --force --install
-}
-
-build() {
- cd $pkgname-$pkgver
- ./configure --prefix=/usr \
-             --enable-qt4 \
-             --disable-foomatic-rip-hplip-install \
-             --enable-foomatic-ppd-install \
-             --enable-hpcups-install \
-             --enable-new-hpcups \
-             --enable-cups-ppd-install \
-             --enable-cups-drv-install \
-             --enable-hpijs-install \
-             --enable-foomatic-drv-install \
-             --enable-pp-build #--help
- make
-}
-
-package() {
- #cd $pkgname-$pkgver
- cd $pkgname-${pkgver/.a/a}
- make rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
- 
- # remove config provided by sane and autostart of hp-daemon
- rm -rf "$pkgdir"/etc/{sane.d,xdg}
- 
- # remove HAL .fdi file because HAL is no longer used
- rm -vrf "$pkgdir"/usr/share/hal
- 
- # remove rc script
- rm -vrf "$pkgdir"/etc/init.d
-}

Copied: hplip/repos/extra-i686/PKGBUILD (from rev 231614, hplip/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2015-02-16 18:20:11 UTC (rev 231615)
@@ -0,0 +1,84 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
+
+pkgname=hplip
+pkgver=3.15.2
+pkgrel=3
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+depends=('python' 'ghostscript>=8.64-6' 'net-snmp>=5.7.1' 'wget' 'foomatic-db-engine')
+makedepends=('python-pyqt4' 'python-gobject' 'sane' 'rpcbind' 'cups' 'libusb')
+optdepends=('cups: for printing support'
+            'python-dbus: for dbus support'
+            'sane: for scanner support'
+            'python-pillow: for commandline scanning support'
+            'python-reportlab: for pdf output in hp-scan'
+            'rpcbind: for network support'
+            'python-pyqt4: for running GUI and hp-toolbox'
+            'python-gobject: for running hp-toolbox'
+            'hplip-plugin: binary blobs for specific devices (AUR) or run hp-setup to download the plugin'
+            'libusb: for advanced usb support')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
+        disable_upgrade.patch)
+sha1sums=('efebad73f29ab9f77d5a866c1c5d3857cc5f1df5'
+          'SKIP'
+          '2348bcbca0c52dc09cceb47ed13281a4ccb9d83e')
+validpgpkeys=('4ABA2F66DBD5A95894910E0673D770CDA59047B9') # HPLIP (HP Linux Imaging and Printing) <hplip at hp.com>
+
+prepare() {
+ cd $pkgname-$pkgver
+ 
+ # disable insecure update - https://bugs.archlinux.org/task/38083
+ patch -Np0 -i ${srcdir}/disable_upgrade.patch
+ 
+ # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
+ # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+ # The hpcups driver does not use foomatic-rip
+	local i
+	for i in ppd/hpijs/*.ppd.gz ; do
+		rm -f ${i}.temp
+		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+			gzip > ${i}.temp || return 1
+		mv ${i}.temp ${i}
+	done
+   
+ export AUTOMAKE='automake --foreign'
+ autoreconf --force --install
+}
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --disable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-new-hpcups \
+             --enable-cups-ppd-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-pp-build #--help
+ make
+}
+
+package() {
+ #cd $pkgname-$pkgver
+ cd $pkgname-${pkgver/.a/a}
+ make rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
+ 
+ # remove config provided by sane and autostart of hp-daemon
+ rm -rf "$pkgdir"/etc/{sane.d,xdg}
+ 
+ # remove HAL .fdi file because HAL is no longer used
+ rm -vrf "$pkgdir"/usr/share/hal
+ 
+ # remove rc script
+ rm -vrf "$pkgdir"/etc/init.d
+}

Deleted: extra-i686/disable_upgrade.patch
===================================================================
--- extra-i686/disable_upgrade.patch	2015-02-16 18:19:39 UTC (rev 231614)
+++ extra-i686/disable_upgrade.patch	2015-02-16 18:20:11 UTC (rev 231615)
@@ -1,14 +0,0 @@
---- upgrade.py.orig	2013-10-31 12:46:54.000000000 +0100
-+++ upgrade.py	2013-12-04 14:58:03.000000000 +0100
-@@ -134,6 +134,11 @@ except getopt.GetoptError, e:
- if os.getenv("HPLIP_DEBUG"):
-     log.set_level('debug')
- 
-+
-+log.error("HPLIP upgrade is disabled by Archlinux for security reasons, see https://bugs.archlinux.org/task/38083 - if you like to upgrade HPLIP, use the Archlinux software package manager pacman.")
-+clean_exit(1)
-+
-+
- for o, a in opts:
-     if o in ('-h', '--help'):
-         usage()

Copied: hplip/repos/extra-i686/disable_upgrade.patch (from rev 231614, hplip/trunk/disable_upgrade.patch)
===================================================================
--- extra-i686/disable_upgrade.patch	                        (rev 0)
+++ extra-i686/disable_upgrade.patch	2015-02-16 18:20:11 UTC (rev 231615)
@@ -0,0 +1,14 @@
+--- upgrade.py.orig	2013-10-31 12:46:54.000000000 +0100
++++ upgrade.py	2013-12-04 14:58:03.000000000 +0100
+@@ -134,6 +134,11 @@ except getopt.GetoptError, e:
+ if os.getenv("HPLIP_DEBUG"):
+     log.set_level('debug')
+ 
++
++log.error("HPLIP upgrade is disabled by Archlinux for security reasons, see https://bugs.archlinux.org/task/38083 - if you like to upgrade HPLIP, use the Archlinux software package manager pacman.")
++clean_exit(1)
++
++
+ for o, a in opts:
+     if o in ('-h', '--help'):
+         usage()

Deleted: extra-i686/hplip.install
===================================================================
--- extra-i686/hplip.install	2015-02-16 18:19:39 UTC (rev 231614)
+++ extra-i686/hplip.install	2015-02-16 18:20:11 UTC (rev 231615)
@@ -1,18 +0,0 @@
-post_install() {
-  cat << EOF
-
-NOTE
-----
-# If you want to use this driver with sane:
-#  echo "hpaio" >> /etc/sane.d/dll.conf
-
-EOF
-}
-
-post_upgrade() {
-  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
-    # important upgrade notice
-    echo "> Please remove your printer in cups, then add it"
-    echo "> back and reconfigure it to make it work again!"
-  fi
-}

Copied: hplip/repos/extra-i686/hplip.install (from rev 231614, hplip/trunk/hplip.install)
===================================================================
--- extra-i686/hplip.install	                        (rev 0)
+++ extra-i686/hplip.install	2015-02-16 18:20:11 UTC (rev 231615)
@@ -0,0 +1,18 @@
+post_install() {
+  cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+#  echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}
+
+post_upgrade() {
+  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
+    # important upgrade notice
+    echo "> Please remove your printer in cups, then add it"
+    echo "> back and reconfigure it to make it work again!"
+  fi
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2015-02-16 18:19:39 UTC (rev 231614)
+++ extra-x86_64/PKGBUILD	2015-02-16 18:20:11 UTC (rev 231615)
@@ -1,97 +0,0 @@
-# $Id$
-# Maintainer: Andreas Radke <andyrtr at archlinux.org>
-# Maintainer: Tom Gundersen <teg at jklm.no>
-# Contributor : Rémy Oudompheng <remy at archlinux.org>
-# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
-
-pkgname=hplip
-pkgver=3.15.2
-pkgrel=2
-pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
-arch=('i686' 'x86_64')
-url="http://hplipopensource.com"
-license=('GPL')
-depends=('python' 'ghostscript>=8.64-6' 'net-snmp>=5.7.1' 'wget' 'foomatic-db-engine')
-makedepends=('python-pyqt4' 'python-gobject2' 'sane' 'rpcbind' 'cups' 'libusb')
-optdepends=('cups: for printing support'
-            'python-dbus: for dbus support'
-            'sane: for scanner support'
-            'python-pillow: for commandline scanning support'
-            #'python2-notify: for Desktop notification support'
-            'python-reportlab: for pdf output in hp-scan'
-            'rpcbind: for network support'
-            'python-pyqt4: for running GUI and hp-toolbox'
-            'python-gobject2: for running hp-toolbox'
-            'hplip-plugin: binary blobs for specific devices (AUR) or run hp-setup to download the plugin'
-            'libusb: for advanced usb support')
-install=hplip.install
-source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
-        disable_upgrade.patch)
-sha1sums=('efebad73f29ab9f77d5a866c1c5d3857cc5f1df5'
-          'SKIP'
-          '2348bcbca0c52dc09cceb47ed13281a4ccb9d83e')
-validpgpkeys=('4ABA2F66DBD5A95894910E0673D770CDA59047B9') # HPLIP (HP Linux Imaging and Printing) <hplip at hp.com>
-
-prepare() {
- cd $pkgname-$pkgver
- 
-# export PYTHON=python2
- 
-# find . -type f -exec sed -i 's~^#.*env python~#!/usr/bin/env python2~' {} +
-# sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' doctor.py setup.py makeuri.py logcapture.py base/magic.py
-# sed -i '1s|#!/usr/bin/python|#!/usr/bin/python2|' ui/upgradeform.py uninstall.py upgrade.py config_usb_printer.py
-# sed -i 's|python ./print.py|python2 ./print.py|' scan.py
-# sed -i 's|python ./testpage.py|python2 ./testpage.py|' setup.py
-# sed -i 's|python ./setup.py|python2 ./setup.py|' ui4/devmgr5.py ui4/nodevicesdialog.py 
-# sed -i 's|python %HOME%|python2 %HOME%|' base/utils.py
-# sed -i 's|python ./plugin.py|python2 ./plugin.py|' base/pkit.py
-# sed -i 's|/usr/bin/python|/usr/bin/python2|' data/rules/hplip-printer at .service
- 
- # disable insecure update - https://bugs.archlinux.org/task/38083
- patch -Np0 -i ${srcdir}/disable_upgrade.patch
- 
- # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
- # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
- # The hpcups driver does not use foomatic-rip
-	local i
-	for i in ppd/hpijs/*.ppd.gz ; do
-		rm -f ${i}.temp
-		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
-			gzip > ${i}.temp || return 1
-		mv ${i}.temp ${i}
-	done
-   
- export AUTOMAKE='automake --foreign'
- autoreconf --force --install
-}
-
-build() {
- cd $pkgname-$pkgver
- ./configure --prefix=/usr \
-             --enable-qt4 \
-             --disable-foomatic-rip-hplip-install \
-             --enable-foomatic-ppd-install \
-             --enable-hpcups-install \
-             --enable-new-hpcups \
-             --enable-cups-ppd-install \
-             --enable-cups-drv-install \
-             --enable-hpijs-install \
-             --enable-foomatic-drv-install \
-             --enable-pp-build #--help
- make
-}
-
-package() {
- #cd $pkgname-$pkgver
- cd $pkgname-${pkgver/.a/a}
- make rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
- 
- # remove config provided by sane and autostart of hp-daemon
- rm -rf "$pkgdir"/etc/{sane.d,xdg}
- 
- # remove HAL .fdi file because HAL is no longer used
- rm -vrf "$pkgdir"/usr/share/hal
- 
- # remove rc script
- rm -vrf "$pkgdir"/etc/init.d
-}

Copied: hplip/repos/extra-x86_64/PKGBUILD (from rev 231614, hplip/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2015-02-16 18:20:11 UTC (rev 231615)
@@ -0,0 +1,84 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor : Rémy Oudompheng <remy at archlinux.org>
+# Contributor: Morgan LEFIEUX <comete at archlinuxfr.org>
+
+pkgname=hplip
+pkgver=3.15.2
+pkgrel=3
+pkgdesc="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
+arch=('i686' 'x86_64')
+url="http://hplipopensource.com"
+license=('GPL')
+depends=('python' 'ghostscript>=8.64-6' 'net-snmp>=5.7.1' 'wget' 'foomatic-db-engine')
+makedepends=('python-pyqt4' 'python-gobject' 'sane' 'rpcbind' 'cups' 'libusb')
+optdepends=('cups: for printing support'
+            'python-dbus: for dbus support'
+            'sane: for scanner support'
+            'python-pillow: for commandline scanning support'
+            'python-reportlab: for pdf output in hp-scan'
+            'rpcbind: for network support'
+            'python-pyqt4: for running GUI and hp-toolbox'
+            'python-gobject: for running hp-toolbox'
+            'hplip-plugin: binary blobs for specific devices (AUR) or run hp-setup to download the plugin'
+            'libusb: for advanced usb support')
+install=hplip.install
+source=(http://downloads.sourceforge.net/${pkgname}/$pkgname-$pkgver.tar.gz{,.asc}
+        disable_upgrade.patch)
+sha1sums=('efebad73f29ab9f77d5a866c1c5d3857cc5f1df5'
+          'SKIP'
+          '2348bcbca0c52dc09cceb47ed13281a4ccb9d83e')
+validpgpkeys=('4ABA2F66DBD5A95894910E0673D770CDA59047B9') # HPLIP (HP Linux Imaging and Printing) <hplip at hp.com>
+
+prepare() {
+ cd $pkgname-$pkgver
+ 
+ # disable insecure update - https://bugs.archlinux.org/task/38083
+ patch -Np0 -i ${srcdir}/disable_upgrade.patch
+ 
+ # https://bugs.archlinux.org/task/30085 - hack found in Gentoo
+ # Use system foomatic-rip for hpijs driver instead of foomatic-rip-hplip
+ # The hpcups driver does not use foomatic-rip
+	local i
+	for i in ppd/hpijs/*.ppd.gz ; do
+		rm -f ${i}.temp
+		gunzip -c ${i} | sed 's/foomatic-rip-hplip/foomatic-rip/g' | \
+			gzip > ${i}.temp || return 1
+		mv ${i}.temp ${i}
+	done
+   
+ export AUTOMAKE='automake --foreign'
+ autoreconf --force --install
+}
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr \
+             --enable-qt4 \
+             --disable-foomatic-rip-hplip-install \
+             --enable-foomatic-ppd-install \
+             --enable-hpcups-install \
+             --enable-new-hpcups \
+             --enable-cups-ppd-install \
+             --enable-cups-drv-install \
+             --enable-hpijs-install \
+             --enable-foomatic-drv-install \
+             --enable-pp-build #--help
+ make
+}
+
+package() {
+ #cd $pkgname-$pkgver
+ cd $pkgname-${pkgver/.a/a}
+ make rulesdir=/usr/lib/udev/rules.d DESTDIR="$pkgdir/" install
+ 
+ # remove config provided by sane and autostart of hp-daemon
+ rm -rf "$pkgdir"/etc/{sane.d,xdg}
+ 
+ # remove HAL .fdi file because HAL is no longer used
+ rm -vrf "$pkgdir"/usr/share/hal
+ 
+ # remove rc script
+ rm -vrf "$pkgdir"/etc/init.d
+}

Deleted: extra-x86_64/disable_upgrade.patch
===================================================================
--- extra-x86_64/disable_upgrade.patch	2015-02-16 18:19:39 UTC (rev 231614)
+++ extra-x86_64/disable_upgrade.patch	2015-02-16 18:20:11 UTC (rev 231615)
@@ -1,14 +0,0 @@
---- upgrade.py.orig	2013-10-31 12:46:54.000000000 +0100
-+++ upgrade.py	2013-12-04 14:58:03.000000000 +0100
-@@ -134,6 +134,11 @@ except getopt.GetoptError, e:
- if os.getenv("HPLIP_DEBUG"):
-     log.set_level('debug')
- 
-+
-+log.error("HPLIP upgrade is disabled by Archlinux for security reasons, see https://bugs.archlinux.org/task/38083 - if you like to upgrade HPLIP, use the Archlinux software package manager pacman.")
-+clean_exit(1)
-+
-+
- for o, a in opts:
-     if o in ('-h', '--help'):
-         usage()

Copied: hplip/repos/extra-x86_64/disable_upgrade.patch (from rev 231614, hplip/trunk/disable_upgrade.patch)
===================================================================
--- extra-x86_64/disable_upgrade.patch	                        (rev 0)
+++ extra-x86_64/disable_upgrade.patch	2015-02-16 18:20:11 UTC (rev 231615)
@@ -0,0 +1,14 @@
+--- upgrade.py.orig	2013-10-31 12:46:54.000000000 +0100
++++ upgrade.py	2013-12-04 14:58:03.000000000 +0100
+@@ -134,6 +134,11 @@ except getopt.GetoptError, e:
+ if os.getenv("HPLIP_DEBUG"):
+     log.set_level('debug')
+ 
++
++log.error("HPLIP upgrade is disabled by Archlinux for security reasons, see https://bugs.archlinux.org/task/38083 - if you like to upgrade HPLIP, use the Archlinux software package manager pacman.")
++clean_exit(1)
++
++
+ for o, a in opts:
+     if o in ('-h', '--help'):
+         usage()

Deleted: extra-x86_64/hplip.install
===================================================================
--- extra-x86_64/hplip.install	2015-02-16 18:19:39 UTC (rev 231614)
+++ extra-x86_64/hplip.install	2015-02-16 18:20:11 UTC (rev 231615)
@@ -1,18 +0,0 @@
-post_install() {
-  cat << EOF
-
-NOTE
-----
-# If you want to use this driver with sane:
-#  echo "hpaio" >> /etc/sane.d/dll.conf
-
-EOF
-}
-
-post_upgrade() {
-  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
-    # important upgrade notice
-    echo "> Please remove your printer in cups, then add it"
-    echo "> back and reconfigure it to make it work again!"
-  fi
-}

Copied: hplip/repos/extra-x86_64/hplip.install (from rev 231614, hplip/trunk/hplip.install)
===================================================================
--- extra-x86_64/hplip.install	                        (rev 0)
+++ extra-x86_64/hplip.install	2015-02-16 18:20:11 UTC (rev 231615)
@@ -0,0 +1,18 @@
+post_install() {
+  cat << EOF
+
+NOTE
+----
+# If you want to use this driver with sane:
+#  echo "hpaio" >> /etc/sane.d/dll.conf
+
+EOF
+}
+
+post_upgrade() {
+  if [ "`vercmp $2 3.12.4-2`" -lt 0 ]; then
+    # important upgrade notice
+    echo "> Please remove your printer in cups, then add it"
+    echo "> back and reconfigure it to make it work again!"
+  fi
+}



More information about the arch-commits mailing list